ListApiProviders
curl --request POST \
--url https://app.textql.com/v1/api-providers \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.textql.com/v1/api-providers"
payload = {}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.textql.com/v1/api-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
{
"id": "<string>",
"name": "<string>",
"iconUrl": "<string>",
"authType": "<string>",
"description": "<string>",
"docsUrl": "<string>",
"defaultHosts": [
"<string>"
],
"tokenLabel": "<string>",
"authHeader": "<string>",
"authPrefix": "<string>",
"oauthSupported": true,
"oauthConfigured": true,
"memberAuthenticated": true,
"memberAuthDisplayName": "<string>",
"envVarFields": [
{
"envVar": "<string>",
"label": "<string>",
"required": true,
"secret": true,
"defaultValue": "<string>",
"placeholder": "<string>"
}
],
"oauthHasDefaultUrls": true
}
]
}{
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}API Keys
List API Providers
List all supported API providers and their configuration templates
POST
/
v1
/
api-providers
ListApiProviders
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Body
application/json
The body is of type ListApiProvidersRequest · object.
Response
Success
Show child attributes
Show child attributes
⌘I